/*
 * Class reference NATURAL_32
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_853 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_853 [] = {0xFF01,1551,852,0xFFFF};
static const EIF_TYPE_INDEX egt_2_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_3_853 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_853 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_6_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_7_853 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_853 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_853 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_853 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_853 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_13_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_14_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_15_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_16_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_17_853 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_18_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_19_853 [] = {0xFF01,852,0xFFFF};
static const EIF_TYPE_INDEX egt_20_853 [] = {0xFF01,850,0xFFFF};
static const EIF_TYPE_INDEX egt_21_853 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_853[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_853), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_853), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_853), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_853), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_853), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_853), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_853), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_853), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_853), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_853), 21221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_853), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_853), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_853), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_853), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21172, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_853), 21162, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_853), 21163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21250, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21251, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21254, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_853), 21181, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_853), 21221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21249, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_853), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_853), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21159, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21185, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_853), 21186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21258, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21261, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 21196, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 21197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21198, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 21199, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 21200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 21201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21202, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 21203, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 21266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 21267, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_853), 21206, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 21268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 21269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21271, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21272, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21218, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 21220, 0xFFFFFFFF},
};
void Init853(void)
{
	IDSC(desc_853, 0, 852);
	IDSC(desc_853 + 1, 1, 852);
	IDSC(desc_853 + 32, 700, 852);
	IDSC(desc_853 + 34, 171, 852);
	IDSC(desc_853 + 44, 224, 852);
	IDSC(desc_853 + 45, 1459, 852);
	IDSC(desc_853 + 49, 939, 852);
	IDSC(desc_853 + 52, 1372, 852);
}


#ifdef __cplusplus
}
#endif
